commit:     330a02c0b45b201bb40ac8f6cbed9889aaecd648
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Aug 10 11:52:58 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Aug 10 11:52:58 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=330a02c0

dev-python/magic-wormhole: Unbundle dev-python/versioneer

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/magic-wormhole/magic-wormhole-0.15.0.ebuild | 6 ++++++
 1 file changed, 6 insertions(+)

diff --git a/dev-python/magic-wormhole/magic-wormhole-0.15.0.ebuild 
b/dev-python/magic-wormhole/magic-wormhole-0.15.0.ebuild
index e6ae25346922..30073baf9323 100644
--- a/dev-python/magic-wormhole/magic-wormhole-0.15.0.ebuild
+++ b/dev-python/magic-wormhole/magic-wormhole-0.15.0.ebuild
@@ -39,6 +39,7 @@ RDEPEND="
 "
 
 BDEPEND="
+       dev-python/versioneer[${PYTHON_USEDEP}]
        test? (
                dev-python/magic-wormhole-mailbox-server[${PYTHON_USEDEP}]
                ~dev-python/magic-wormhole-transit-relay-0.2.1[${PYTHON_USEDEP}]
@@ -47,6 +48,11 @@ BDEPEND="
 
 distutils_enable_tests pytest
 
+src_prepare() {
+       distutils-r1_src_prepare
+       rm versioneer.py || die
+}
+
 python_test() {
        local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
        epytest

Reply via email to